import { App } from 'vue';
import AnYiBpmnPreview from './AnYiBpmnPreview';
import AnYiBpmnPreviewInstance from './AnYiBpmnPreviewInstance';
import AnYiDmnPreview from './AnYiDmnPreview';
import SvgIcon from '/@/common/components/SvgIcon/SvgIcon.vue';
import './styles/anyi-bpmn-instance.less';
import './styles/diagram-js.css';
import './styles/dmn-variable.less';
import './styles/font-icon.less';
import './styles/comment.css';
import 'virtual:svg-icons-register';
export { AnYiBpmnPreview, AnYiBpmnPreviewInstance, AnYiDmnPreview, SvgIcon };
export declare function getAnYBpmnSvgName(bpmnElementType: string): string;
declare const Components: {
    install: (app: App) => void;
    AnYiBpmnPreview: any;
    AnYiBpmnPreviewInstance: any;
    AnYiDmnPreview: any;
    SvgIcon: any;
};
import type { ElementInstanceState, ProcessInstanceState, BpmnActivityInstanceModel, AnYiBpmnProcessInstanceModel } from './types';
export type { ElementInstanceState, ProcessInstanceState, BpmnActivityInstanceModel, AnYiBpmnProcessInstanceModel, };
export default Components;
