/**
 * 获取模型基本信息
 * @param rootElement
 * @returns
 */
export declare function getModelBaseInfo(rootElement: any): {
    diagramNames: string[];
    diagramNamesStr: string;
    processDefinitionKeys: string[];
    processDefinitionKeysStr: string;
    havePool: number;
    category: string;
};
export declare const bpmnIconMapLow: {
    association: string;
    businessRuleTask: string;
    callActivity: string;
    collaboration: string;
    conditionalFlow: string;
    sequenceFlow: string;
    dataInput: string;
    dataInputAssociation: string;
    dataOutput: string;
    dataOutputAssociation: string;
    dataObjectReference: string;
    dataStoreReference: string;
    defaultFlow: string;
    cancelEndEvent: string;
    compensateEndEvent: string;
    errorEndEvent: string;
    escalationEndEvent: string;
    linkEndEvent: string;
    messageEndEvent: string;
    multipleEndEvent: string;
    multiInstanceBody: string;
    endEvent: string;
    noneEndEvent: string;
    signalEndEvent: string;
    terminateEndEvent: string;
    eventSubProcess: string;
    complexGateway: string;
    eventBasedGateway: string;
    exclusiveGateway: string;
    gateway: string;
    inclusiveGateway: string;
    parallelGateway: string;
    group: string;
    cancelIntermediateCatchEvent: string;
    compensateIntermediateCatchEvent: string;
    conditionalIntermediateCatchEvent: string;
    errorIntermediateCatchEvent: string;
    escalationIntermediateCatchEvent: string;
    linkIntermediateCatchEvent: string;
    messageIntermediateCatchEvent: string;
    multipleIntermediateCatchEvent: string;
    conditionalIntermediateCatchEventNonInterrupting: string;
    escalationIntermediateCatchEventNonInterrupting: string;
    messageIntermediateCatchEventNonInterrupting: string;
    multipleIntermediateCatchEventNonInterrupting: string;
    parallelIntermediateCatchEventNonInterrupting: string;
    signalIntermediateCatchEventNonInterrupting: string;
    timerIntermediateCatchEventNonInterrupting: string;
    parallelMultipleIntermediateCatchEvent: string;
    signalIntermediateCatchEvent: string;
    timerIntermediateCatchEvent: string;
    intermediateThrowEvent: string;
    compensateIntermediateThrowEvent: string;
    escalationIntermediateThrowEvent: string;
    linkIntermediateThrowEvent: string;
    messageIntermediateThrowEvent: string;
    multipleIntermediateThrowEvent: string;
    signalIntermediateThrowEvent: string;
    lane: string;
    manualTask: string;
    messageFlow: string;
    participant: string;
    process: string;
    receiveTask: string;
    scriptTask: string;
    sendTask: string;
    serviceTask: string;
    compensateStartEvent: string;
    conditionalStartEvent: string;
    errorStartEvent: string;
    escalationStartEvent: string;
    messageStartEvent: string;
    multipleStartEvent: string;
    conditionalStartEventNonInterrupting: string;
    escalationStartEventNonInterrupting: string;
    messageStartEventNonInterrupting: string;
    multipleStartEventNonInterrupting: string;
    parallelMultipleStartEventNonInterrupting: string;
    signalStartEventNonInterrupting: string;
    timerStartEventNonInterrupting: string;
    cancelBoundaryEvent: string;
    compensateBoundaryEvent: string;
    conditionalBoundaryEvent: string;
    errorBoundaryEvent: string;
    escalationBoundaryEvent: string;
    linkBoundaryEvent: string;
    messageBoundaryEvent: string;
    multipleBoundaryEvent: string;
    boundaryEvent: string;
    conditionalBoundaryEventNonInterrupting: string;
    escalationBoundaryEventNonInterrupting: string;
    messageBoundaryEventNonInterrupting: string;
    multipleBoundaryEventNonInterrupting: string;
    parallelBoundaryEventNonInterrupting: string;
    signalBoundaryEventNonInterrupting: string;
    timerBoundaryEventNonInterrupting: string;
    parallelMultipleBoundaryEvent: string;
    signalBoundaryEvent: string;
    timerBoundaryEvent: string;
    startEvent: string;
    parallelMultipleStartEvent: string;
    signalStartEvent: string;
    timerStartEvent: string;
    collapsedSubProcess: string;
    collapsedAdHocSubProcess: string;
    expandedSubProcess: string;
    expandedAdHocSubProcess: string;
    subProcess: string;
    task: string;
    textAnnotation: string;
    transaction: string;
    userTask: string;
};
export declare function getBpmnSvgName(bpmnElementType: string): string;
